$limit = (Get-Date).AddDays(-15)
$path = "C:\Windows\Logs\CBS"
$files = Get-ChildItem -Path $path -Recurse -include *.log,*.cab -Exclude CBS.log,FilterList.log
$files | % {
        $_.FullName
}
$files | Where-Object { !$_.PSIsContainer -and $_.CreationTime -lt $limit } | Remove-Item -Force -ErrorAction SilentlyContinue